Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class ComponentObjectImpl

    java.lang.Object
      |
      +--oracle.jbo.common.BaseObject
            |
            +--oracle.jbo.server.NamedObjectImpl
                  |
                  +--oracle.jbo.server.ComponentObjectImpl

Direct Known Subclasses:
  ContainerObjectImpl, ViewLinkImpl, ViewObjectImpl

public abstract class ComponentObjectImpl
extends NamedObjectImpl
implements ComponentObject

Abstract class for ComponentObjectImpl. Users need to extend this class to plug generic components in Business Components for Java Framework

Fields inherited from class oracle.jbo.server.NamedObjectImpl
`mFullName, mName, mParent, mProperties`

Fields inherited from class oracle.jbo.common.BaseObject
`TRACE_EVERY_ALLOC, TRACE_NONE, TRACE_OCCASIONAL, TRACE_UNINITIALIZED`

Constructor Summary
`ComponentObjectImpl()`

Method Summary
`void` | `addListener(ComponentObjectListener listener)` Add a listener for the Component Object
`protected void` | `create()`
`static ComponentObjectImpl` | `createRef(java.lang.String name, oracle.jbo.server.DefObject bo)`
`ApplicationModule` | `getApplicationModule()` Gets the Application Module.
`protected java.util.Vector` | `getCompListeners()` Gets the list of component Object listeners.
`java.lang.String` | `getDefFullName()` Gets the Full Name of the Def Object.
`java.lang.String` | `getDefName()` Gets the name of the Def Object.
`java.lang.String` | `getProxyClassName()` Gets the Proxy class name for the corresponding deployment platform.
`protected java.lang.String` | `getProxyClassName(java.lang.String platform)` Gets the proxy class name for a deplyoment platform.
`ApplicationModuleImpl` | `getRootApplicationModule()` Gets the root application module implementation.
`boolean` | `isRegWithPiggyMan()` Is component registered with Piggy back Manager
`void` | `remove()` Deletes this component.
`protected void` | `setProxyClassName(java.lang.String platform, java.lang.String proxyClassName)` Set the name value pair for internal hashtable

Methods inherited from class oracle.jbo.server.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getProperty, refreshProperty, setFullName, setProperty`

Methods inherited from class oracle.jbo.common.BaseObject
`dumpState, setTraceLevel, setTraceWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentObjectImpl

    public ComponentObjectImpl()

Method Detail

### getCompListeners

    protected java.util.Vector getCompListeners()

  Gets the list of component Object listeners.
  Returns:
    Vector for the list of listeners

### getRootApplicationModule

    public final ApplicationModuleImpl getRootApplicationModule()

  Gets the root application module implementation.
  Returns:
    ApplicationModuleImpl

### createRef

    public static ComponentObjectImpl createRef(java.lang.String name,
                                                oracle.jbo.server.DefObject bo)

  Parameters:
    `name` - the reference object name.
    `bo` - the object to be referenced.
  Returns:
    the reference object created.

### create

    protected void create()

### getDefName

    public java.lang.String getDefName()

  Gets the name of the Def Object.
  Specified by:
    getDefName in interface ComponentObject
  Returns:
    Name of the Def Object

### getDefFullName

    public java.lang.String getDefFullName()

  Gets the Full Name of the Def Object.
  Specified by:
    getDefFullName in interface ComponentObject
  Tags copied from interface: ComponentObject
  Returns:
    a class name.

### remove

    public void remove()

  Deletes this component.
  Specified by:
    remove in interface ComponentObject

### getProxyClassName

    public java.lang.String getProxyClassName()

  Gets the Proxy class name for the corresponding deployment platform.
  Returns:
    the String proxy class name

### getApplicationModule

    public ApplicationModule getApplicationModule()

  Gets the Application Module.
  Returns:
    ApplicationModule

### getProxyClassName

    protected java.lang.String getProxyClassName(java.lang.String platform)

  Gets the proxy class name for a deplyoment platform.
  Parameters:
    `platform` - deployment platform
  Returns:
    name of the proxy class

### setProxyClassName

    protected void setProxyClassName(java.lang.String platform,
                                     java.lang.String proxyClassName)

  Set the name value pair for internal hashtable
  Parameters:
    `platform` - the name of the platform as a String.
    `proxyClassName` - the name of the proxy class as a String.

### isRegWithPiggyMan

    public boolean isRegWithPiggyMan()

  Is component registered with Piggy back Manager
  Returns:
    boolean

### addListener

    public void addListener(ComponentObjectListener listener)

  Add a listener for the Component Object
  Parameters:
    `listener` - a listener for the component object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD